using System;
using System.Collections.Generic;
using Jypeli;
using Jypeli.Assets;
using Jypeli.Controls;
using Jypeli.Widgets;

namespace Escape;

/// @author annilehtinen
/// @version 24.03.2025
/// <summary>
/// 
/// </summary>
public class Escape : PhysicsGame
{
    public override void Begin()
    {
        Surfaces borders = Level.CreateBorders(0.5, true, Color.White);
        Camera.ZoomToLevel();
        
        PhysicsObject player = new PhysicsObject(40, 40);
        player.Shape = Shape.Circle;
        player.Color = Color.White;
        this.Add(player);
        
        PhysicsObject barkov = new PhysicsObject(50, 50);
        barkov.Shape = Shape.Circle;
        barkov.Color = Color.Red;
        barkov.X = 60;
        barkov.Y = -60;
        this.Add(barkov);

        Keyboard.Listen(Key.Left, ButtonState.Down, MovePlayer, null, new Vector(-100, 0));
        Keyboard.Listen(Key.Right, ButtonState.Down, MovePlayer, null, new Vector(100, 0));
        Keyboard.Listen(Key.Up, ButtonState.Down, MovePlayer, null, new Vector(0, 100));
        Keyboard.Listen(Key.Down, ButtonState.Down, MovePlayer, null, new Vector(0, -100));
        
        Keyboard.Listen(Key.Escape, ButtonState.Pressed, ConfirmExit, "Lopeta peli");
        void MovePlayer(Vector vector1)
        {
            player.Push(vector1);
        }
    }
}